rgbimageio.hh File Reference
`#include <vector>`
`#include <mia/2d/defines2d.hh>`
`#include <mia/2d/vector.hh>`
`#include <mia/core/iodata.hh>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
Include dependency graph for rgbimageio.hh:

Go to the source code of this file.

## Data Structures

class | CRGB2DImage

## Typedefs

typedef C2DRGBImageIOPluginPluginHandler::Instance::DataKey | C2DRGBImageDataKey
| The data key type for the CDatapool storage.
typedef TIOPlugin< CRGB2DImage > | C2DRGBImageIOPlugin
| Base type for 2D RGB image IO plugins.
typedef mia::THandlerSingleton< mia::TIOPluginHandler< C2DRGBImageIOPlugin > > | C2DRGBImageIOPluginPluginHandler
| The 2D RGB image plugin handler.
typedef CRGB2DImage::Pointer | PRGB2DImage
| The shared pointer type of the image.

## Functions

bool EXPORT_2D | save_image (const std::string &filename, const CRGB2DImage &image)

## Variables

template class EXPORT_2D | TIOPlugin< CRGB2DImage >
template class EXPORT_2D | TPlugin< CRGB2DImage, io_plugin_type >

## Typedef Documentation

## C2DRGBImageIOPlugin

typedef TIOPlugin<CRGB2DImage> C2DRGBImageIOPlugin

Base type for 2D RGB image IO plugins.

Definition at line 87 of file rgbimageio.hh.

## PRGB2DImage

typedef CRGB2DImage::Pointer PRGB2DImage

The shared pointer type of the image.

Definition at line 84 of file rgbimageio.hh.

## Function Documentation

## save_image()

bool EXPORT_2D save_image | ( | const std::string & | filename,
|  | const CRGB2DImage & | image )

Save an RGB image to the file with the given file name. The type of the image file is determined by the filename extension.

Parameters

  filename |
  image | image to be saved

Returns
  true if the image was saved successfully. If the saving failes, the function may also throw some exception providing an error message.

References EXPORT_2D, and NS_MIA_END.

## Variable Documentation

## TIOPlugin< CRGB2DImage >

template class EXPORT_2D TIOPlugin< CRGB2DImage >

extern

## TPlugin< CRGB2DImage, io_plugin_type >

template class EXPORT_2D TPlugin< CRGB2DImage, io_plugin_type >

extern